<h2>Editar paciente</h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
  <%= devise_error_messages! %>
  <div class="field">
    <%= f.label :profilePicture,'Foto de perfil' %><br />
    <%= f.file_field :profilePicture%>
  </div>
  <div class="field">
    <%= f.label :email %><br />
    <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
  </div>
  <div class="field">
    <%= f.label :name, 'Nombre' %><br />
    <%= f.text_field :name %>
  </div>
  <div class="field">
    <%= f.label :lastname, 'Apellido' %><br />
    <%= f.text_field :lastName %>
  </div>

  <div class="field">
    <%= f.label :direction, 'Dirección' %><br />
    <%= f.text_field :direction %>
  </div>
  <div class="field">
    <%= f.label :telephone, 'Teléfono' %><br />
    <%= f.text_field :telephone %>
  </div>
  <div class="field">
    <%= f.label :birthdate, 'Fecha de nacimiento' %><br />
    <%= f.date_select :birthdate, {order: [:day, :month, :year], prompt: { day: 'Seleccione el día', month: 'Seleccione el mes', year: 'Seleccione el año' }, start_year: Date.today.year, end_year: Date.today.year - 100}, {required: true} %>
  </div>

  <h2>Datos Médicos Básicos</h2>
  <div class="field">
    <%= f.label :bloodType, 'Tipo de Sangre' %><br />
    <%= f.text_field :bloodType %>
  </div>
  
  <div class="field">
    <%= f.label :importantDiseases, 'Enfermedades Importantes' %><br />
    <%= f.text_area :importantDiseases, size: "30x6" %>
  </div>
  
  <div class="field">
    <%= f.label :allergies, 'Alergias'%><br />
    <%= f.text_area :allergies, size: "30x6"  %>
  </div>
  <!--
  <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
    <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
  <% end %>
  -->
  <div class="field">
    <%= f.label :Contraseña %> <i>(Dejar en blanco si no desea cambiar la contraseña)</i><br />
    <%= f.password_field :password, autocomplete: "off" %>
    <% if @minimum_password_length %>
      <br />
      <em><%= @minimum_password_length %> caracteres mínimo</em>
    <% end %>
  </div>

  <div class="field">
    <%= f.label :Confirmar_contraseña %><br />
    <%= f.password_field :password_confirmation, autocomplete: "off" %>
  </div>

  <div class="field">
    <%= f.label :Contraseña_actual %> <i>(Necesitamos tu contraseña actual para confirmar los cambios)</i><br />
    <%= f.password_field :current_password, autocomplete: "off" %>
  </div>

  <div class="actions">
    <%= f.submit value = "Actualizar" %>
  </div>
<% end %>

<!--
<h3>Cancel my account</h3>

<p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>
-->
<%= link_to "Atrás", :back %>

